// gnome.xonotic.in.ua

models/mapobjects/nateleaf1/tree2
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/nateleaf1/tree2.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/base_trim/proto_fence
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/base_trim/proto_fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_wall/glass01
{
	surfaceparm trans
	cull none
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/ctf/ctf_blueflag
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .5 .1
	surfaceparm nomarks
	cull none
	{
		map textures/ctf/ctf_blueflag.tga
		rgbgen identity
	}
	{
		map textures/effects/redflagmap.tga
		tcgen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendfunc add
		rgbgen identity
	}
	{
		map textures/ctf/ctf_blueflag.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf/ctf_redflag
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .3 .2
	surfaceparm nomarks
	cull none
	{
		map textures/ctf/ctf_redflag.tga
		rgbgen identity
	}
	{
		map textures/effects/blueflagmap.tga
		tcgen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendfunc add
		rgbgen identity
	}
	{
		map textures/ctf/ctf_redflag.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/sfx/shadow.tga
		tcgen environment
		blendfunc filter
		rgbgen identity
	}
}

textures/ikbase_floor/ik_floor_bounce
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/ikbase_floor/ik_floor_bounce.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/ikbase_light/ik_gtrimv_lit1b_1000
{
	q3map_lightimage textures/ikbase_light/ik_gtrimv_lit1b_glow.tga
	qer_editorimage textures/ikbase_light/ik_gtrimv_lit1b.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit1b.tga
		blendfunc blend
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit1b_glow.tga
		blendfunc add
		rgbgen wave noise .3 .2 0 10
	}
}

textures/ikbase_light/ik_gtrimv_lit1b_flicker
{
	q3map_lightimage textures/ikbase_light/ik_gtrimv_lit1b_glow.tga
	qer_editorimage textures/ikbase_light/ik_gtrimv_lit1b.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit1b.tga
		blendfunc blend
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit1b_glow.tga
		blendfunc add
		rgbgen wave triangle 0 .7 .25 4
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit1b_glow.tga
		blendfunc add
		rgbgen wave triangle 0 .7 .25 4
	}
}

textures/ikbase_light/ik_gtrimv_lit1c_1000
{
	q3map_lightimage textures/ikbase_light/ik_gtrimv_lit1c_glow.tga
	qer_editorimage textures/ikbase_light/ik_gtrimv_lit1c.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit1c.tga
		blendfunc blend
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit1c_glow.tga
		blendfunc add
		rgbgen wave noise .3 .2 0 10
	}
}

textures/ikbase_light/ik_gtrimv_lit2a_1000
{
	q3map_lightimage textures/ikbase_light/ik_gtrimv_lit2a_glow.tga
	qer_editorimage textures/ikbase_light/ik_gtrimv_lit2a.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit2a.tga
		blendfunc blend
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit2a_glow.tga
		tcmod scale -1 -1
		blendfunc add
		rgbgen wave noise .3 .2 0 1
	}
}

textures/ikbase_light/ik_gtrimv_lit2a_2000
{
	q3map_lightimage textures/ikbase_light/ik_gtrimv_lit2a_glow.tga
	qer_editorimage textures/ikbase_light/ik_gtrimv_lit2a.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit2a.tga
		blendfunc blend
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit2a_glow.tga
		tcmod scale -1 -1
		blendfunc add
		rgbgen wave noise .3 .2 0 1
	}
}

textures/ikbase_light/ik_gtrimv_lit2a_3000
{
	q3map_lightimage textures/ikbase_light/ik_gtrimv_lit2a_glow.tga
	qer_editorimage textures/ikbase_light/ik_gtrimv_lit2a.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit2a.tga
		blendfunc blend
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit2a_glow.tga
		tcmod scale -1 -1
		blendfunc add
		rgbgen wave noise .3 .2 0 1
	}
}

textures/ikbase_light/ik_gtrimv_lit2a_500
{
	q3map_lightimage textures/ikbase_light/ik_gtrimv_lit2a_glow.tga
	qer_editorimage textures/ikbase_light/ik_gtrimv_lit2a.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit2a.tga
		blendfunc blend
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit2a_glow.tga
		tcmod scale -1 -1
		blendfunc add
		rgbgen wave noise .3 .2 0 1
	}
}

textures/ikbase_light/ik_gtrimv_lit2a_flicker_2k
{
	qer_editorimage textures/ik_light/ik_gtrimv_lit2a.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit2a.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit2a_glow.tga
		blendfunc add
		rgbgen wave triangle 0 .7 .25 4
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit2a_glow.tga
		blendfunc add
		rgbgen wave triangle 0 .7 .25 4
	}
}

textures/ikbase_light/ik_gtrimv_lit3a_1000
{
	q3map_lightimage textures/ikbase_light/ik_gtrimv_lit3a_glow.tga
	qer_editorimage textures/ikbase_light/ik_gtrimv_lit3a.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit3a.tga
		blendfunc blend
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit3a_glow.tga
		tcmod scale -1 -1
		blendfunc add
		rgbgen wave noise .3 .2 0 1
	}
}

textures/ikbase_light/ik_gtrimv_lit3a_3000
{
	q3map_lightimage textures/ikbase_light/ik_gtrimv_lit3a_glow.tga
	qer_editorimage textures/ikbase_light/ik_gtrimv_lit3a.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit3a.tga
		blendfunc blend
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit3a_glow.tga
		tcmod scale -1 -1
		blendfunc add
		rgbgen wave noise .3 .2 0 1
	}
}

textures/ikbase_light/ik_gtrimv_lit4a_1000
{
	q3map_lightimage textures/ikbase_light/ik_gtrimv_lit4a_glow.tga
	qer_editorimage textures/ikbase_light/ik_gtrimv_lit4a.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit4a.tga
		blendfunc blend
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit4a_glow.tga
		tcmod scale -1 -1
		blendfunc add
		rgbgen wave noise .3 .2 0 1
	}
}

textures/ikbase_light/ik_gtrimv_lit4a_2000
{
	q3map_lightimage textures/ikbase_light/ik_gtrimv_lit4a_glow.tga
	qer_editorimage textures/ikbase_light/ik_gtrimv_lit4a.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit4a.tga
		blendfunc blend
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit4a_glow.tga
		tcmod scale -1 -1
		blendfunc add
		rgbgen wave noise .3 .2 0 1
	}
}

textures/ikbase_light/ik_gtrimv_lit4a_3000
{
	q3map_lightimage textures/ikbase_light/ik_gtrimv_lit4a_glow.tga
	qer_editorimage textures/ikbase_light/ik_gtrimv_lit4a.tga
	surfaceparm nomarks
	q3map_surfacelight 3000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit4a.tga
		blendfunc blend
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit4a_glow.tga
		tcmod scale -1 -1
		blendfunc add
		rgbgen wave noise .3 .2 0 1
	}
}

textures/ikbase_light/ik_gtrimv_lit4a_flicker_2k
{
	qer_editorimage textures/ikbase_light/ik_gtrimv_lit4a.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit4a.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit4a_glow.tga
		blendfunc add
		rgbgen wave triangle 0 .7 .25 4
	}
	{
		map textures/ikbase_light/ik_gtrimv_lit4a_glow.tga
		blendfunc add
		rgbgen wave triangle 0 .7 .25 4
	}
}

textures/ikbase_sky/ik_sky_day
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/ikbase_sky/ik_sky_day_back.tga
	q3map_lightimage textures/ikbase_sky/ik_sky_day_back.tga
	q3map_surfacelight 500
	q3map_sun 1 0.9 0.8 80 240 60
	skyparms env/azlcmb1_bin/eezabad - -
}

textures/sfx/bounce_concrete
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/sfx/bounce_concrete.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/stone/pjrock17
{
	{
		map textures/evil4_walls/d_stone.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

